-- (C) OOMusou 2011 http://oomusou.cnblogs.com

-- Filename    : counter.vhd
-- Simulator   : ModelSim 6.3e, Debussy 5.4 v9
-- Description : ModelSim with debussy
-- Release     : 02/05/2011 1.0

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;

entity counter is
  port ( clk   : in std_logic;
         rst_n : in std_logic;
         cnt   : out std_logic_vector(3 downto 0));
end entity counter;

architecture arc of counter is
  signal cnt_r : std_logic_vector(3 downto 0);
begin
  process(clk, rst_n)
  begin
    if (rst_n = '0') then
      cnt_r <= "0000";
    elsif rising_edge(clk) then
      cnt_r <= cnt_r + 1;
    end if;
  end process;
  
  cnt <= cnt_r;
end arc;
