/* 
(C) OOMusou 2011 http://oomusou.cnblogs.com

Filename    : counter_tb.v
Compiler    : ModelSim 6.3e, Debussy 5.4 v9
Description : ModelSim with debussy
Release     : 01/31/2010 1.0
*/

module counter_tb;

reg        clk;
reg        rst_n;
wire [3:0] cnt;

// 50MHz
always #(10) clk = ~clk;

initial begin
  #0;
  clk   = 1'b0;
  rst_n = 1'b0;
  
  #5;
  rst_n = 1'b1;
end

initial begin
  $fsdbDumpfile("counter.fsdb");
  $fsdbDumpvars(1, counter_tb);
end

counter u_counter (
  .clk(clk),
  .rst_n(rst_n),
  .cnt(cnt)
);

endmodule